Entities Structure

Search Multiple Entities

Searches for entity candidates using a name, alias, or identifiers.

POST
https://api.textreveal.com/v3/entities/msearch

Request

Parameters

  • max_candidatesinteger

    Max number of candidates to return for each entity

    Default: 10Range: [1, 10]
  • fields(string (enum))[]

    Fields to include in the response

    Default: ["id", "description", "figi", "isin", "ticker", "alias", "website", "country", "isic4", "industry_codes", "city", "region", "lei", "registration_codes", "name"]Values: "id", "description", "figi", "isin", "ticker", "alias", "website", "country", "isic4", "industry_codes", "city", "region", "lei", "client_code", "registration_codes", "name"

Request Body

  • entities*object[]

    List of entities to search

    Array length: [1, 500]
Request
{
  "entities": [
    {
      "name": "eq:fujitsu",
      "alias": "ilike:fujitsu",
      "duns": "eq:000000000",
      "figi": "eq:BBG000BGJWM6",
      "isin": "eq:JP3818000006",
      "ticker": "eq:6702.T",
      "lei": "eq:123400ABCDEFGH56789",
      "entity_id": "eq:7457a013-9c65-451f-b82d-96d7a22b5cfa",
      "website": "eq:https://www.official-website.com",
      "registration_code": "eq:17133723",
      "client_code": "eq:F32001976",
      "country": "united states of america",
      "isic4": [
        "eq:Public order and safety activities"
      ],
      "industry_code": "eq:1811",
      "city": "eq:miami",
      "region": "eq:florida"
    }
  ]
}

Response

Response - 200

Properties of the candidates

  • data*object[]

    Search result

Response
{
  "data": [
    {
      "total_candidates": 27,
      "matches": [
        {
          "id": "753c48d6-23c8-5fb0-9230-b099898452b5",
          "description": "Fujitsu is a information & communications technology equipment and services firm providing IT & IT infrastructure and other services.",
          "figi": "BBG000BLNXT1",
          "isin": [
            "US0378331005"
          ],
          "ticker": [
            "AAPL"
          ],
          "alias": [
            "Apple Inc."
          ],
          "website": "https://www.fujitsu.com/",
          "country": "united states of america",
          "isic4": [
            "Public order and safety activities"
          ],
          "industry_codes": [
            {
              "description": "ISIC Revision 4",
              "values": [
                {
                  "code": "1811",
                  "description": "Printing",
                  "priority": 1
                }
              ]
            }
          ],
          "city": "miami",
          "region": "florida",
          "lei": "123400ABCDEFGH56789",
          "client_code": {
            "code1": "ABC123456",
            "code2": "789XYZ"
          },
          "registration_codes": [
            {
              "value": "17133723",
              "description": "Trade Register Number (NL)"
            }
          ],
          "name": "Fujitsu"
        }
      ]
    }
  ]
}

Error

Error - 400

Bad request

  • message*string

    Error message.

    Example: "Check the errors field for more details"
  • code*number (enum)

    Error code.

    Values: 400
  • reason*string (enum)

    Error reason.

    Values: "invalid"
  • errorsobject[]

    Possible error causes.

Response
{
  "message": "Check the errors field for more details",
  "code": 400,
  "reason": "invalid",
  "errors": [
    {
      "message": "string",
      "field": "entities",
      "reason": "invalid_type"
    }
  ]
}

Generic errors are not shown, see Errors for more details.